Bug 168627 - [NEW PORT] net/bibtexconv port
Summary: [NEW PORT] net/bibtexconv port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Kozlov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-03 10:40 UTC by Thomas Dreibholz
Modified: 2012-06-18 20:30 UTC (History)
0 users

See Also:


Attachments
file.shar (1.87 KB, text/plain)
2012-06-03 10:40 UTC, Thomas Dreibholz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Dreibholz 2012-06-03 10:40:07 UTC
The program bibtexconv has been missing in the FreeBSD ports. Therefore, I have created a port.


BibTeXConv is a BibTeX file converter which allows one to export BibTeX entries to other formats, including customly defined text output. Furthermore, it provides the possibility to check URLs (including MD5, size and MIME type computations) and to verify ISBN and ISSN numbers.

WWW: http://www.iem.uni-due.de/~dreibh/bibtexconv/

Fix: See the shar file attached.

Patch attached with submission follows:
Comment 1 Michael Scheidell freebsd_committer 2012-06-03 22:49:51 UTC
Class Changed
From-To: maintainer-update->change-request

Fix Synopsis to [NEW-PORT] net/bibtexconf 
Change class to change-request. New ports are not maintainer.update.
Comment 2 wenheping 2012-06-06 09:49:44 UTC
I suggest you put this new port into converters category.

wen
Comment 3 Thomas Dreibholz 2012-06-06 09:55:45 UTC
Am Mittwoch 06 Juni 2012, 16:49:44 schrieben Sie:
> I suggest you put this new port into converters category.

Yes, this seems to be useful.

Should I create a new shar file?


Best regards

Thomas Dreibholz
Comment 4 wenheping 2012-06-06 09:58:59 UTC
2012/6/6 Thomas Dreibholz <dreibh@iem.uni-due.de>

> Am Mittwoch 06 Juni 2012, 16:49:44 schrieben Sie:
> > I suggest you put this new port into converters category.
>
> Yes, this seems to be useful.
>
> Should I create a new shar file?
>

Yes, then committers could add it into the correct category.

wen


>
>
> Best regards
>
> Thomas Dreibholz
>
Comment 5 Alex Kozlov freebsd_committer 2012-06-18 20:13:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ak

I'll take it.
Comment 6 Alex Kozlov freebsd_committer 2012-06-18 20:27:36 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 7 dfilter service freebsd_committer 2012-06-18 20:29:27 UTC
ak          2012-06-18 19:25:44 UTC

  FreeBSD ports repository

  Modified files:
    converters           Makefile 
  Added files:
    converters/bibtexconv Makefile distinfo pkg-descr 
  Log:
  BibTeXConv is a BibTeX file converter which allows one to export
  BibTeX entries to other formats, including customly defined
  text output. Furthermore, it provides the possibility to
  check URLs (including MD5, size and MIME type computations)
  and to verify ISBN and ISSN numbers.
  
  PR:     ports/168627
  Submitted by:   Thomas Dreibholz <dreibh@iem.uni-due.de>
  Approved by:    eadler, itetcu (mentors, implicit)
  
  Revision  Changes    Path
  1.207     +1 -0      ports/converters/Makefile
  1.1       +42 -0     ports/converters/bibtexconv/Makefile (new)
  1.1       +2 -0      ports/converters/bibtexconv/distinfo (new)
  1.1       +7 -0      ports/converters/bibtexconv/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"